Get downloadable backups
curl --request GET \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/downloadable-backups \
--header 'Authorization: Bearer <token>'{
"environment": {
"display_name": "MyEnvironment",
"downloadable_backups": [
{
"id": "1915fa3a-7ef4-4766-806d-71104be7deb0",
"created_at": 1665382600770,
"download_link": "https://example.com",
"expires_at": 1665382600770,
"is_generation_in_progress": true
}
]
}
}Backups
Get downloadable backups
GET
/
sites
/
environments
/
{env_id}
/
downloadable-backups
Get downloadable backups
curl --request GET \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/downloadable-backups \
--header 'Authorization: Bearer <token>'{
"environment": {
"display_name": "MyEnvironment",
"downloadable_backups": [
{
"id": "1915fa3a-7ef4-4766-806d-71104be7deb0",
"created_at": 1665382600770,
"download_link": "https://example.com",
"expires_at": 1665382600770,
"is_generation_in_progress": true
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Response
Successfully found downloadable backups
Show child attributes
Show child attributes
Get manual, schedule and system generated backupsRestore a scheduled or manual or system generated backup to an environment
⌘I